Retrieve charges fees report
GET/charges/reports/fees
Retrieves a list of charges with fees
Request
Query Parameters
Possible values: <= 10 characters
Records created earlier than this date will be excluded from result
Possible values: <= 10 characters
Records created later than this date will be excluded from result
Responses
- 200
- 401
- 403
- 409
- 422
- 500
Fees report retrieved
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Possible values: [success]
data
object[]
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: [pending, succeeded, failed]
Indicates if the Charge has been captured
Indicates if the Charge has been disputed
Indicates if the Charge has been refunded partially or completely
It will show the error code when the charge fails
It will show the error message when the charge fails
amount
object
Money representation
Possible values: <= 9999999999
Amount expressed in cents. 1 USD should be submitted as 100 cents
ISO 4217 representation of the currency
amount_captured
object
Money representation
Possible values: <= 9999999999
Amount expressed in cents. 1 USD should be submitted as 100 cents
ISO 4217 representation of the currency
amount_refunded
object
Money representation
Possible values: <= 9999999999
Amount expressed in cents. 1 USD should be submitted as 100 cents
ISO 4217 representation of the currency
Possible values: <= 255 characters
Description for this charge
billing_details
object
Possible values: <= 255 characters
Name of the billing contact person
Possible values: <= 255 characters
Email Address
Possible values: non-empty and <= 20 characters
Phone Number
address
object
nullable
Address of the billing contact
Possible values: >= 2 characters and <= 2 characters
Two-letter code ISO 3166-1 country code
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
shipping_details
object
Possible values: <= 255 characters
Name of the shipping contact person
Possible values: non-empty and <= 20 characters
Phone Number
address
object
required
Address of the shipping destination
Possible values: >= 2 characters and <= 2 characters
Two-letter code ISO 3166-1 country code
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
fees
object[]
Fee's name
Fee's percent
amount
object
Money representation
Possible values: <= 9999999999
Amount expressed in cents. 1 USD should be submitted as 100 cents
ISO 4217 representation of the currency
total_amount
object
Money representation
Possible values: <= 9999999999
Amount expressed in cents. 1 USD should be submitted as 100 cents
ISO 4217 representation of the currency
metadata
object
A metadata object containing key-value pairs. Keys must be strings, and values are strings. The object can also be empty.
Unix timestamp representing the date
Possible values: [200]
Possible values: [Successful request]
{
"status": "success",
"data": [
{
"id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"customer_id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"invoice_id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"status": "pending",
"paid": true,
"disputed": true,
"refunded": true,
"failure_code": "string",
"failure_message": "string",
"amount": {
"value": 99,
"currency": "USD"
},
"amount_captured": {
"value": 99,
"currency": "USD"
},
"amount_refunded": {
"value": 99,
"currency": "USD"
},
"description": "Services x 3 hs",
"billing_details": {
"name": "Louis Griffin",
"email": "peter@pathly.io",
"phone_number": "1234567890",
"address": {
"country": "US",
"line1": "Passatge sant pere",
"line2": "Apartment 2",
"zip": "8397.0",
"city": "Pineda de mar",
"state": "Barcelona"
}
},
"shipping_details": {
"name": "Louis Griffin",
"phone_number": "1234567890",
"address": {
"country": "US",
"line1": "Passatge sant pere",
"line2": "Apartment 2",
"zip": "8397.0",
"city": "Pineda de mar",
"state": "Barcelona"
}
},
"fees": [
{
"name": "Card Debit",
"percentage": "2.99%",
"amount": {
"value": 99,
"currency": "USD"
},
"total_amount": {
"value": 99,
"currency": "USD"
}
}
],
"metadata": {},
"created_on": 1656656767
}
],
"code": 200,
"message": "Successful request"
}
Access token is missing or invalid
Access denied
Request failed due to a conflict in the provided entity
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [fail]
Possible values: [409]
Failure reason
{
"status": "fail",
"code": 409,
"message": "Entity with Id already exists"
}
Query failed due to query parameters validation failure
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
Possible values: [422]
{
"status": "error",
"data": {
"dob": {
"day": "Value expected to be 'integer', 'string' given."
}
},
"code": 422,
"message": "cannot process the provided entity"
}
Server error